Skip to main content
PUT
Remove schedule recipients

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

scheduleId
string<uuid>
required

The ID of the schedule to remove recipients from. To find a schedule's ID:

  1. Navigate to the dashboard of a document.
  2. Click File > Deliveries & Alerts.
  3. Next to a schedule, click Edit.

The schedule's ID is in the page's URL, after /schedules/. For example, the schedule ID in this URL is 123e4567-e89b-12d3-a456-426614174000:

Body

application/json
emails
string<email>[]

At least one email or user ID must be provided. Array of recipient email addresses to remove from the scheduled task.

userIds
string<uuid>[]

At least one email or user ID must be provided. Array of recipient user UUIDs to remove from the scheduled task. Use the List users and List embed users endpoints to retrieve user IDs.

Response

Recipients removed successfully.

removedRecipientsCount
integer

The number of recipients removed from the schedule.

success
boolean

Indicates whether the operation was successful.